NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Features::ShipDesign::PenetrationAssociationBuilder Class Reference

Represents a NXOpen::Features::ShipDesign::PenetrationAssociationBuilder builder
To create a new instance of this class, use NXOpen::Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationAssociationBuilder

Created in NX8.0.0. More...

Inheritance diagram for NXOpen::Features::ShipDesign::PenetrationAssociationBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

void AddAdjacentStructure (NXOpen::Body *adjacentStructure)
 Adds adjacent structures
Created in NX8.5.0. More...
 
void AddNonIntersectedStructure (NXOpen::Body *structure)
 Adds nonintersected structures
Created in NX8.5.0. More...
 
void AddRequest (NXOpen::Features::ShipDesign::PenetrationRequest *request)
 Adds request object
Created in NX8.5.0. More...
 
void AddSelectedCurve (NXOpen::Body *curve)
 Adds selected curves
Created in NX8.5.0. More...
 
void ButtonCutout ()
 Used to open the cutout dialog
Created in NX8.0.0. More...
 
NXOpen::ExpressionCornerRadius ()
 Returns the corner radius expression
Created in NX8.5.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType CoutoutType ()
 Returns the coutout type
Created in NX8.5.0. More...
 
NXOpen::PartCutoutPart ()
 Returns the cutout part
Created in NX8.5.0. More...
 
NXOpen::ExpressionDiameter ()
 Returns the diameter expression
Created in NX8.5.0. More...
 
NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType DirectionType ()
 Returns the direction
Created in NX8.5.0. More...
 
NXOpen::ExpressionHeight ()
 Returns the height expression
Created in NX8.5.0. More...
 
bool IsEditMode ()
 Returns the flag to decide if it's requests association or associated requests editing
Created in NX8.5.0. More...
 
bool IsKeepAssociation ()
 Returns the flag to decide whether to keep association
Created in NX8.5.0. More...
 
NXOpen::SketchModifiedSketch ()
 Returns the modified sketch
Created in NX8.5.0. More...
 
NXOpen::ExpressionOffset ()
 Returns the offset expression
Created in NX8.5.0. More...
 
NXOpen::PointPoint ()
 Returns the penetration point
Created in NX8.0.0. More...
 
NXOpen::ExpressionRadius ()
 Returns the radius expression
Created in NX8.5.0. More...
 
void RemoveNonIntersectedStructures ()
 Removes all nonintersected structures
Created in NX8.5.0. More...
 
void RemoveSelectedCurves ()
 Removes all selected curves
Created in NX8.5.0. More...
 
void SetCompensationPartNumber (const NXString &selectionCompensationNumber)
 The selection compensation
Created in NX8.5.0. More...
 
void SetCompensationPartNumber (const char *selectionCompensationNumber)
 The selection compensation
Created in NX8.5.0. More...
 
void SetCoutoutType (NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType enumCoutoutType)
 Sets the coutout type
Created in NX8.5.0. More...
 
void SetCutoutPart (NXOpen::Part *cutoutPart)
 Sets the cutout part
Created in NX8.5.0. More...
 
void SetDirectionType (NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType enumDirection)
 Sets the direction
Created in NX8.5.0. More...
 
void SetEditMode (bool isEditMode)
 Sets the flag to decide if it's requests association or associated requests editing
Created in NX8.5.0. More...
 
void SetKeepAssociation (bool isKeepAssociation)
 Sets the flag to decide whether to keep association
Created in NX8.5.0. More...
 
void SetModifiedSketch (NXOpen::Sketch *modifiedSketch)
 Sets the modified sketch
Created in NX8.5.0. More...
 
void SetPoint (NXOpen::Point *point)
 Sets the penetration point
Created in NX8.0.0. More...
 
void SetSketchSection (NXOpen::Section *sectionSketch)
 Sets the sketch
Created in NX8.5.0. More...
 
NXOpen::SectionSketchSection ()
 Returns the sketch
Created in NX8.5.0. More...
 
NXOpen::ExpressionWidth ()
 Returns the width expression
Created in NX8.5.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::ShipDesign::PenetrationAssociationBuilder builder
To create a new instance of this class, use NXOpen::Features::ShipDesign::PenetrationRequestCollection::CreatePenetrationAssociationBuilder

Created in NX8.0.0.


Member Function Documentation

void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::AddAdjacentStructure ( NXOpen::Body adjacentStructure)

Adds adjacent structures
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
adjacentStructureadjacentstructure
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::AddNonIntersectedStructure ( NXOpen::Body structure)

Adds nonintersected structures
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
structurestructure
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::AddRequest ( NXOpen::Features::ShipDesign::PenetrationRequest request)

Adds request object
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
requestrequest
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::AddSelectedCurve ( NXOpen::Body curve)

Adds selected curves
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
curvecurve
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::ButtonCutout ( )

Used to open the cutout dialog
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::CornerRadius ( )

Returns the corner radius expression
Created in NX8.5.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::CoutoutType ( )

Returns the coutout type
Created in NX8.5.0.



License requirements : None

NXOpen::Part* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::CutoutPart ( )

Returns the cutout part
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Diameter ( )

Returns the diameter expression
Created in NX8.5.0.



License requirements : None

NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::DirectionType ( )

Returns the direction
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Height ( )

Returns the height expression
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::IsEditMode ( )

Returns the flag to decide if it's requests association or associated requests editing
Created in NX8.5.0.



License requirements : None

bool NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::IsKeepAssociation ( )

Returns the flag to decide whether to keep association
Created in NX8.5.0.



License requirements : None

NXOpen::Sketch* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::ModifiedSketch ( )

Returns the modified sketch
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Offset ( )

Returns the offset expression
Created in NX8.5.0.



License requirements : None

NXOpen::Point* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Point ( )

Returns the penetration point
Created in NX8.0.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Radius ( )

Returns the radius expression
Created in NX8.5.0.



License requirements : None

void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::RemoveNonIntersectedStructures ( )

Removes all nonintersected structures
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::RemoveSelectedCurves ( )

Removes all selected curves
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetCompensationPartNumber ( const NXString selectionCompensationNumber)

The selection compensation
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
selectionCompensationNumberselectioncompensationnumber
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetCompensationPartNumber ( const char *  selectionCompensationNumber)

The selection compensation
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
selectionCompensationNumberselectioncompensationnumber
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetCoutoutType ( NXOpen::Features::ShipDesign::PenetrationRequest::CoutoutType  enumCoutoutType)

Sets the coutout type
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
enumCoutoutTypeenumcoutouttype
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetCutoutPart ( NXOpen::Part cutoutPart)

Sets the cutout part
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
cutoutPartcutoutpart
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetDirectionType ( NXOpen::Features::ShipDesign::PenetrationRequest::DirectionType  enumDirection)

Sets the direction
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
enumDirectionenumdirection
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetEditMode ( bool  isEditMode)

Sets the flag to decide if it's requests association or associated requests editing
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
isEditModeiseditmode
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetKeepAssociation ( bool  isKeepAssociation)

Sets the flag to decide whether to keep association
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
isKeepAssociationiskeepassociation
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetModifiedSketch ( NXOpen::Sketch modifiedSketch)

Sets the modified sketch
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
modifiedSketchmodifiedsketch
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetPoint ( NXOpen::Point point)

Sets the penetration point
Created in NX8.0.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
pointpoint
void NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SetSketchSection ( NXOpen::Section sectionSketch)

Sets the sketch
Created in NX8.5.0.



License requirements : nx_penetration_mgmt ("Penetration Management")

Parameters
sectionSketchsectionsketch
NXOpen::Section* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::SketchSection ( )

Returns the sketch
Created in NX8.5.0.



License requirements : None

NXOpen::Expression* NXOpen::Features::ShipDesign::PenetrationAssociationBuilder::Width ( )

Returns the width expression
Created in NX8.5.0.



License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.